Debian Bug report logs - #610332
/etc/pm/sleep.d/60aiccu hook may cause unacceptable resume delays

version graph

Package: aiccu; Maintainer for aiccu is Reinier Haasjes <reinier@haasjes.com>; Source for aiccu is src:aiccu.

Reported by: Bjørn Mork <bjorn@mork.no>

Date: Mon, 17 Jan 2011 17:27:02 UTC

Severity: critical

Tags: patch, squeeze-ignore

Found in version aiccu/20070115-14

Fixed in version aiccu/20070115-14.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Reinier Haasjes <reinier@haasjes.com>:
Bug#610332; Package aiccu. (Mon, 17 Jan 2011 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
New Bug report received and forwarded. Copy sent to Reinier Haasjes <reinier@haasjes.com>. (Mon, 17 Jan 2011 17:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /etc/pm/sleep.d/60aiccu hook may cause unacceptable resume delays
Date: Mon, 17 Jan 2011 18:24:51 +0100
Package: aiccu
Version: 20070115-14
Severity: critical
Justification: breaks unrelated software

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The /etc/pm/sleep.d/60aiccu pm-utils hook may cause extremely slow resume
from sleep.  aiccu should not need to touch anything on resume.  If it does, 
then that is just a symptom of a bug in the daemon.

The current hook script will try to look up a name in DNS and ping over
the aiccu interface, preventing the system from fully resuming while trying.  
Both actions may take a significant time to finish.  Both actions will be
attempted even if aiccu has been disabled in /etc/default/aiccu 

pm-utils is totally unrelated to aiccu.  Breaking pm-utils, even if it is
done by exploiting hook functionaly missing a proper policy, is unacceptable.



Bjørn

- -- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aiccu depends on:
ii  debconf [debconf-2.0]   1.5.36           Debian configuration management sy
ii  iproute                 20100519-3       networking and traffic control too
ii  iputils-ping            3:20100418-3     Tools to test the reachability of 
ii  iputils-tracepath       3:20100418-3     Tools to trace the network path to
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared lib
ii  libgnutls26             2.8.6-1          the GNU TLS library - runtime libr
ii  lsb-base                3.2-23.2squeeze1 Linux Standard Base 3.2 init scrip
ii  ucf                     3.0025+nmu1      Update Configuration File: preserv

Versions of packages aiccu recommends:
ii  bind9-host          1:9.7.2.dfsg.P3-1    Version of 'host' bundled with BIN
ii  dnsutils            1:9.7.2.dfsg.P3-1    Clients provided with BIND
ii  ntp                 1:4.2.6.p2+dfsg-1+b1 Network Time Protocol daemon and u
ii  ntpdate             1:4.2.6.p2+dfsg-1+b1 client for setting system time fro

aiccu suggests no packages.

- -- Configuration Files:
/etc/aiccu.conf [Errno 13] Permission denied: u'/etc/aiccu.conf'
/etc/default/aiccu changed:
BACKGROUND="false"
OPTIONS=""
AICCU_ENABLED=No


- -- debconf information excluded

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk00e2AACgkQ10rqkowbIsnI8ACfZ1XEXQEPMk2tYk4Hk8+EqMJr
28IAnRPXwFXdaczCLPbnPPRyVcjQdg0r
=Ivw0
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Reinier Haasjes <reinier@haasjes.com>:
Bug#610332; Package aiccu. (Tue, 18 Jan 2011 10:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Reinier Haasjes <reinier@haasjes.com>. (Tue, 18 Jan 2011 10:57:09 GMT) Full text and rfc822 format available.

Message #10 received at 610332@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bjørn Mork <bjorn@mork.no>, 610332@bugs.debian.org
Subject: Re: Bug#610332: /etc/pm/sleep.d/60aiccu hook may cause unacceptable resume delays
Date: Tue, 18 Jan 2011 11:54:01 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 610332 squeeze-can-defer
tag 610332 squeeze-ignore
kthxbye

On Mon, Jan 17, 2011 at 18:24:51 +0100, Bjørn Mork wrote:

> Package: aiccu
> Version: 20070115-14
> Severity: critical
> Justification: breaks unrelated software
> 
> The /etc/pm/sleep.d/60aiccu pm-utils hook may cause extremely slow resume
> from sleep.  aiccu should not need to touch anything on resume.  If it does, 
> then that is just a symptom of a bug in the daemon.
> 
Not quite convinced critical is the right severity, but in any case this
won't be a blocker for squeeze.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 18 Jan 2011 10:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Reinier Haasjes <reinier@haasjes.com>:
Bug#610332; Package aiccu. (Wed, 01 Feb 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Reinier Haasjes <reinier@haasjes.com>. (Wed, 01 Feb 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 610332@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 610332@bugs.debian.org, 615897@bugs.debian.org
Subject: aiccu: diff for NMU version 20070115-14.1
Date: Wed, 1 Feb 2012 20:40:30 +0100
[Message part 1 (text/plain, inline)]
tags 610332 + patch
tags 610332 + pending
tags 615897 + pending
thanks

Dear maintainer,

I've prepared an NMU for aiccu (versioned as 20070115-14.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: U2: Two hearts beat as one
[aiccu-20070115-14.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 19:45:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 19:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Reinier Haasjes <reinier@haasjes.com>:
Bug#610332; Package aiccu. (Wed, 01 Feb 2012 20:54:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Reinier Haasjes <reinier@haasjes.com>. (Wed, 01 Feb 2012 20:54:21 GMT) Full text and rfc822 format available.

Message #26 received at 610332@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 610332@bugs.debian.org, 615897@bugs.debian.org
Subject: Re: Bug#610332: aiccu: diff for NMU version 20070115-14.1
Date: Wed, 1 Feb 2012 21:53:38 +0100
[Message part 1 (text/plain, inline)]
On Wed, 01 Feb 2012 20:40:30 +0100, gregor herrmann wrote:

> I've prepared an NMU for aiccu (versioned as 20070115-14.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

Gnarf. Found a typo after the fact.

Find attached an improved version (again uploaded to DELAYED/2).

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Rolling Stones: Moonlight-mile-live
[aiccu_20070115-14.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#610332; Package aiccu. (Thu, 02 Feb 2012 08:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinier Haasjes <reinier@haasjes.com>:
Extra info received and forwarded to list. (Thu, 02 Feb 2012 08:03:07 GMT) Full text and rfc822 format available.

Message #31 received at 610332@bugs.debian.org (full text, mbox):

From: Reinier Haasjes <reinier@haasjes.com>
To: gregor herrmann <gregoa@debian.org>, 610332@bugs.debian.org
Subject: Re: Bug#610332: aiccu: diff for NMU version 20070115-14.1
Date: Thu, 02 Feb 2012 08:44:11 +0100
Dear Gregor,

Thanks for this and you don't have to delay it any longer.

Regards,

Reinier

On 01-02-12 20:40, gregor herrmann wrote:
> tags 610332 + patch
> tags 610332 + pending
> tags 615897 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for aiccu (versioned as 20070115-14.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.
> 
> Regards.
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Reinier Haasjes <reinier@haasjes.com>:
Bug#610332; Package aiccu. (Thu, 02 Feb 2012 15:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Reinier Haasjes <reinier@haasjes.com>. (Thu, 02 Feb 2012 15:57:07 GMT) Full text and rfc822 format available.

Message #36 received at 610332@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Reinier Haasjes <reinier@haasjes.com>
Cc: 610332@bugs.debian.org
Subject: Re: Bug#610332: aiccu: diff for NMU version 20070115-14.1
Date: Thu, 2 Feb 2012 16:56:16 +0100
[Message part 1 (text/plain, inline)]
On Thu, 02 Feb 2012 08:44:11 +0100, Reinier Haasjes wrote:

> Thanks for this and you don't have to delay it any longer.

Thank you, rescheduled to 0-day.
 
Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Sting: Big Lie Small World
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Thu, 02 Feb 2012 16:03:29 GMT) Full text and rfc822 format available.

Notification sent to Bjørn Mork <bjorn@mork.no>:
Bug acknowledged by developer. (Thu, 02 Feb 2012 16:03:33 GMT) Full text and rfc822 format available.

Message #41 received at 610332-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 610332-close@bugs.debian.org
Subject: Bug#610332: fixed in aiccu 20070115-14.1
Date: Thu, 02 Feb 2012 16:02:11 +0000
Source: aiccu
Source-Version: 20070115-14.1

We believe that the bug you reported is fixed in the latest version of
aiccu, which is due to be installed in the Debian FTP archive:

aiccu_20070115-14.1.debian.tar.gz
  to main/a/aiccu/aiccu_20070115-14.1.debian.tar.gz
aiccu_20070115-14.1.dsc
  to main/a/aiccu/aiccu_20070115-14.1.dsc
aiccu_20070115-14.1_i386.deb
  to main/a/aiccu/aiccu_20070115-14.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610332@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated aiccu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 01 Feb 2012 21:46:24 +0100
Source: aiccu
Binary: aiccu
Architecture: source i386
Version: 20070115-14.1
Distribution: unstable
Urgency: low
Maintainer: Reinier Haasjes <reinier@haasjes.com>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 aiccu      - SixXS Automatic IPv6 Connectivity Client Utility
Closes: 610332 615897
Changes: 
 aiccu (20070115-14.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "/etc/pm/sleep.d/60aiccu hook may cause unacceptable resume delays":
     check if aiccu is enabled in /etc/default/aiccu and running before trying
     to ping/restart.
     (Closes: #610332)
   * Fix "Does not compile with ld.gold": add patch from Ubuntu /
     Tarun Kumar Mall:
     - debian/patches/09_binutils_gold.patch:
       + patch changes unix-console/Makefile to fix FTBFS. (LP: #726121)
     (Closes: #615897)
Checksums-Sha1: 
 a393653a7dfed83d95b1fb100c4a6d6cc7866e26 1853 aiccu_20070115-14.1.dsc
 e4d550df5e4a1fb63b2733820dce0d563a109d75 29966 aiccu_20070115-14.1.debian.tar.gz
 437dcde6631bfd6e7cfe898afd5366c7ca8aa528 57424 aiccu_20070115-14.1_i386.deb
Checksums-Sha256: 
 afd52604299e898c337f50d83e52a94e2c4019ce36392550848abfbf17fe84b7 1853 aiccu_20070115-14.1.dsc
 bbeb2579f8fe39800c1712f2eb517f77bd05605d1681094e2c5eac617d19a950 29966 aiccu_20070115-14.1.debian.tar.gz
 819cf7bd76d7e25f62c314ebb23aef2f2629d5e70c5a7bf252a5c674d3226459 57424 aiccu_20070115-14.1_i386.deb
Files: 
 f0e279e5f61202785286ab9e5adfc27c 1853 net optional aiccu_20070115-14.1.dsc
 9ae5fff1f8929c24a999879acf8380f8 29966 net optional aiccu_20070115-14.1.debian.tar.gz
 3f1016eb6137ccfe5c3a29447c606ea0 57424 net optional aiccu_20070115-14.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPKaTyAAoJELs6aAGGSaoGGKoP/Aw0A5Dh1nny7oiUTtewTLHm
2hNcEWBXB5oMbz3Wuz7lGddUU2LY6QSxfpyolA1pn2fFsE99tIrkKAbuHswbtoUv
Jcl2OShz8a7lLlzs35BU0JavqlTvApOlv+n53xrUzjYFpstT1bIzfkyNLs3N5L56
0hCvLazAr2qL9rN+nTv3XxJMFCIkuQxc8v48/ZEAnwr5X4PgIkJRRs4zPgGZjlsn
3K8OUb8rwyo8SYj8HztPnHFAROMK1PW/qLS+Nb8khOIjJS6taTkqKKye48gC/Qdb
JjYUSPaHVvnmQW/E0EvstzIzojPyN1/WVAuYsK9Nzz5/FSRZFTg+POK9HaI/tkow
jXtpL/pnh0NGrI2BztPqOL9qn228d0qOXvMDpePLH7pXeEWoDqIDVD4nRscAcbUe
nXhklDEIORBE/3ziRik/jXT4Nxc2YCq6+6F4qtOr2pZcjR3uaYtp+4Ww26ScA9Q/
Tdvc6TmmQSnGdjnbAVXGh9L8hjRSOeKeSV2XgiqhYpwQ4waqTTolI8PerL5zsiCB
XKjn1BhcHhxEbA68bfx4Uz6+ZT5Nt17WRv+GJkyBD9Hlv2c1sQlNLmg74WTVnqCd
lXpB6Xdc90iANfTWvRwEXB1uqeS8gal42GbVWdZgGY6mO101FO+0L+VfOZjAc1Tl
DCukSATOpS4u2AceKJqZ
=jCqn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:47:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:57:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.